PCP-NUMASTAT(1)

NAME
pcp-numastat - report on NUMA memory allocation

SYNOPSIS
pcp-numastat [-V]

DESCRIPTION
pcp-numastat displays NUMA allocation statistics from the kernel memory allocator. Each process has NUMA policies that specify on which node pages are allocated. The performance counters in the kernel track on which nodes memory is allocated and these values are sampled and reported by pcp-numastat.

Counters are maintained individually for each NUMA node. Details of the semantics of each reported metric can be retrieved using the following command:

# pminfo -dt mem.numa.alloc

When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin, -Z/ --timezone and several other options become indirectly available.

The current version of pcp-numastat can be queried using the -V/ --version option.

NOTES
pcp-numastat is inspired by the numastat(1) command and produces exactly the same output.

SEE ALSO
pcp(1), numastat(1) and PCPIntro(1).